## perl-cross-debian 0.0.2

=== debian/changelog ===
perl-cross-debian (0.0.2) experimental; urgency=low

  * Add a clean command to handle generated headers (Closes: #696189)

 -- Neil Williams <codehelp@debian.org>  Sat, 05 Jan 2013 18:32:21 +0000

perl-cross-debian (0.0.1) experimental; urgency=low

  * Initial release. (Closes: #694326: ITP: perl-cross-debian -- Cross
    build support for Debian perl configurations)

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Nov 2012 14:53:59 +0000
