## perl-cross-debian 0.0.5

=== debian/changelog ===
perl-cross-debian (0.0.5) unstable; urgency=low

  * Move package from experimental into unstable.
  * Add watch file as this isn't on git.d.o but on github instead.
    Include lintian override for the same.
  * Add an initial rules.diff for multiarch support, not ready yet.
  * Add initial support for perl 5.18

 -- Neil Williams <codehelp@debian.org>  Wed, 08 May 2013 11:49:35 +0100

perl-cross-debian (0.0.4) experimental; urgency=low

  * Add arm64 support for perl 5.14.2 thanks to Wookey.
  * Add some notes on the generated headers and how these are used.

 -- Neil Williams <codehelp@debian.org>  Tue, 05 Feb 2013 10:05:36 +0000

perl-cross-debian (0.0.3) experimental; urgency=low

  * Add the current patches to the package.
  * Extend the manpages.

 -- Neil Williams <codehelp@debian.org>  Wed, 30 Jan 2013 20:43:03 +0000
