## perl-cross-debian 0.0.5%2Bnmu1

=== debian/changelog ===
perl-cross-debian (0.0.5+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:09:07 +0100
