=== patches/5.18/debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for perl.
#
# Note that although this rules file currently invokes tools from dpkg-dev
# implemented in perl (such as dpkg-architecture and so on), it aspires
# to not use perl at all, so that a new architecture can easily be
# bootstrapped. This aspiration should be considered when changing this
# file.
#
# <http://lists.alioth.debian.org/pipermail/perl-maintainers/2012-January/002870.html>

# we use bash-specific functionality, at least "shopt -s globstar"
export SHELL = /bin/bash

fullversion := $(shell /bin/bash debian/config.debian --full-version)
nextversion := $(shell /bin/bash debian/config.debian --next-version)
version     := $(shell /bin/bash debian/config.debian --version)
installtype := $(shell /bin/bash debian/config.debian --install-type)
test_target := $(shell /bin/bash debian/config.debian --test-target)
strip	    := $(shell /bin/bash debian/config.debian --strip)
srcdir      := $(shell pwd)
packages    := $(shell sed -n 's/^Package: *\(.*\)/\1/p' debian/control)
tmp	    = debian/tmp
bin         = $(tmp)/usr/bin
man         = $(tmp)/usr/share/man
lib         = $(tmp)/usr/lib/perl/$(version)
share       = $(tmp)/usr/share/perl/$(version)
build	    = debian/build
debug       = $(build)/perl-debug/usr/lib/debug
patches     = debian/patches/series
patchlevel  = patchlevel-debian.h

checkdir    = test -d debian
checkroot   = test `id -u` -eq 0
checkperl   = $(SHELL) debian/checkperl

# CROSSING
# Don't configure - copy in cross files
# NOTE: Different for static/shared/debug
# usecrosscompile not set no target host etc
# Don't build miniperl - use host perl
# Later - build host miniperl
# Later - find on host
#

DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# this may differ from $(fullversion) for release candidates and the like
package_upstream_version = $(shell dpkg-parsechangelog | \
        sed -ne 's/-[^-]\+$$//; s/^Version: *\([0-9]\+:\)*//p')

package_version = $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')

ifeq ($(DEB_HOST_GNU_TYPE), $(DEB_BUILD_GNU_TYPE))
        PERL_EXE = 
        PERL_TO_USE = $(srcdir)/perl.static
        HEADER_DIR = /usr/include
        OBJCOPY = objcopy
        STRIP = strip
        export ZLIB_INCLUDE=/usr/include
        export ZLIB_LIB=/usr/lib
        export BZIP2_INCLUDE=/usr/include
        export BZIP2_LIB=/usr/lib
        export INCLUDE=/usr/include
        export LIB=/usr/lib
else
        PERL_EXE = $(shell which perl)
        PERL_TO_USE = $(PERL_EXE)
        # we use old-style dpkg-cross paths only. See other rules file.
        ifeq (,$(wildcard /usr/lib/$(DEB_BUILD_MULTIARCH)/perl))
           PERL_EXE_LIBS = /usr/lib/perl/$(package_upstream_version)
           HEADER_DIR  = /usr/$(DEB_HOST_GNU_TYPE)/include
           export ZLIB_INCLUDE=/usr/$(DEB_HOST_GNU_TYPE)/include
           export ZLIB_LIB=/usr/$(DEB_HOST_GNU_TYPE)/lib
           export BZIP2_INCLUDE=/usr/$(DEB_HOST_GNU_TYPE)/include
           export BZIP2_LIB=/usr/$(DEB_HOST_GNU_TYPE)/lib
           export INCLUDE=/usr/$(DEB_HOST_GNU_TYPE)/include
           export LIB=/usr/$(DEB_HOST_GNU_TYPE)/lib
        endif
        OBJCOPY = $(DEB_HOST_GNU_TYPE)-objcopy
        STRIP = $(DEB_HOST_GNU_TYPE)-strip
endif

# this gets prepended to the patch names in patchlevel.h
patchprefix = DEBPKG:

# control file substitutions
subst_upstream = -VUpstream-Version=$(package_upstream_version)
subst_perlapi  = -Vperlapi:Provides="`$(PERL_TO_USE) debian/mkprovides`"
subst_next_upstream = -VNext-Upstream-Version=$(nextversion)

# for cpan/Compress-Raw-Zlib
export BUILD_ZLIB=False

# for cpan/Compress-Raw-Bzip2
export BUILD_BZIP2=0

build: build-stamp
install: install-stamp

build-arch: build
build-indep: build

build-stamp: $(patchlevel) perl.static perl.debug libperl.so.$(fullversion)
	touch $@

$(patchlevel): $(patches)
	$(checkdir)
	test -f $<	# maintainer sanity check
	debian/gen-patchlevel -p $(patchprefix) -v $(package_version) $< > $@

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))

define variant
$(if $(findstring static,$1),static,$(if $(findstring debug,$1),debug,shared))
endef

define cross-config
        /usr/bin/perl-cross-debian --variant $(call variant,$@)
        perl -Ilib  make_patchnum.pl
endef
endif

perl.static:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean CROSS_PERL=$(PERL_EXE)
	[ -f $(patchlevel) ] || touch $(patchlevel)
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	$(SHELL) debian/config.debian --static
else
	$(cross-config)
endif
	$(MAKE) perl $(test_target)  CROSS_PERL=$(PERL_EXE)
	mv libperl.a libperl-static
	mv perl perl.static

	# for the build log
	$(PERL_TO_USE) -Ilib -V

perl.debug:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean CROSS_PERL=$(PERL_EXE)
	[ -f $(patchlevel) ] || touch $(patchlevel)
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	$(SHELL) debian/config.debian --debug
else
	$(cross-config)
endif
	$(MAKE) perl CROSS_PERL=$(PERL_EXE)
	mv perl perl.debug

libperl.so.$(fullversion):
	$(checkdir)
	[ ! -f Makefile ] || $(MAKE) distclean CROSS_PERL=$(PERL_EXE)
	[ -f $(patchlevel) ] || touch $(patchlevel)
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	$(SHELL) debian/config.debian --shared
else
	$(cross-config)
endif
	$(MAKE) SHRPLDFLAGS='$$(LDDLFLAGS) -Wl,-soname,libperl.so.$(version)' $@ CROSS_PERL=$(PERL_EXE)
	ln -s libperl.so.$(fullversion) libperl.so.$(version)
	ln -s libperl.so.$(version) libperl.so
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	$(MAKE) all $(test_target) || { rm -f libperl.so*; exit 1; }
else
	@echo "Need to use installed (host) extensions when building extensions...."
	@echo "Overwrite any built so far"
	cp -fr $(PERL_EXE_LIBS)/auto/* lib/auto/
	@echo "Now make the extensions"
	-mkdir lib/$(DEB_HOST_GNU_TYPE)
	$(MAKE) extensions CROSS_PERL=$(PERL_EXE) INST_ARCHLIB=$(srcdir)/lib/$(DEB_HOST_GNU_TYPE)
endif


clean:
	$(checkdir)
	$(checkroot)
	test -f $(patches)	# maintainer sanity check
	[ ! -f Makefile ] || $(MAKE) distclean  CROSS_PERL=$(PERL_EXE)
	rm -rf config.over perl.static perl.debug libperl-static libperl.so* \
	    $(patchlevel) build-stamp install-stamp t/auto debian/shlibs.local \
	    debian/perl-base.shlibs debian/libperl$(version).shlibs \
	    debian/substvars debian/files debian/list.tmp $(tmp) $(build)
	# <https://rt.cpan.org/Public/Bug/Display.html?id=68214>
	rm -f cpan/DB_File/DB_File.pm.bak cpan/DB_File/t/db-btree.t.bak \
	    cpan/DB_File/t/db-hash.t.bak cpan/DB_File/t/db-recno.t.bak
	$(RM) t/pod2htmd.tmp t/pod2htmi.tmp
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	perl-cross-debian --clean
endif

install-stamp: build-stamp
	$(checkdir)
	$(checkroot)
	$(checkperl)
	rm -rf $(tmp) $(build)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	@echo "Copy back all the target-independent extensions - for use and installation"
	cp -fr $(PERL_EXE_LIBS)/auto/* lib/auto/
	$(MAKE) install CROSS_PERL=$(PERL_EXE)
	@echo "Copy the arch dependent ones over the debian ones for installation into packages"
	find . -name .exists -o -name '*.bs' | xargs rm -f
	-mkdir -p $(lib)/auto
	cp -fr lib/$(DEB_HOST_GNU_TYPE)/auto/*  $(lib)/auto/
	echo "Don't install INST_ARCHLIB into packages"
	-find $(tmp)/usr/share/perl -name $(DEB_HOST_GNU_TYPE) -exec rm -fr {} \;
else
	$(MAKE) install DESTDIR="$(tmp)" CROSS_PERL=$(PERL_EXE)
endif
	# remove temporary prefix on install vars and switch man
	# extensions to 1p and 3pm for vendor module installs

	# switch man extensions to 1p and 3pm for vendor module installs
	$(PERL_TO_USE) -i -p \
	    -e 's/^(man1ext=).*/$$1'\''1p'\''/;' \
	    -e 's/^(man3ext=).*/$$1'\''3pm'\''/;' \
		$(lib)/Config.pm $(lib)/Config_heavy.pl

	# remove dpkg-buildflags effects from %Config
	# see #657853
	if which dpkg-buildflags >/dev/null 2>&1; then \
		for flag in $(shell dpkg-buildflags --get CPPFLAGS) \
